apiVersion: v1
kind: ReplicationController
metadata:
  name: deis-builder
  labels:
    heritage: deis
spec:
  replicas: 1
  selector:
    app: deis-builder
  template:
    metadata:
      labels:
        app: deis-builder
    spec:
      containers:
        - name: deis-builder
          imagePullPolicy: Always
          image: quay.io/deisci/builder:v2-alpha
          ports:
            - containerPort: 2223
            - containerPort: 3000
          env:
            - name: "EXTERNAL_PORT"
              value: "2223"
      volumeMounts:
        - name: minio-user
          mountPath: /var/run/secrets/object/store
          readOnly: true
        # not currently running minio with SSL support. see https://github.com/deis/minio/pull/22 for more detail
        # - name: minio-ssl
        #   mountPath: /var/run/secrets/object/ssl
        #   readOnly: true
  volumes:
    - name: minio-user
      secret:
        secretName: minio-user
    # not currently running minio with SSL support. see https://github.com/deis/minio/pull/22 for more detail
    # - name: minio-ssl
    #   secret:
    #     secretName: minio-ssl
